org.apache.poi.ss.util

## Enum CellRangeAddressBase.CellPosition

- java.lang.Object
- - java.lang.Enum<CellRangeAddressBase.CellPosition>
  - - org.apache.poi.ss.util.CellRangeAddressBase.CellPosition

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CellRangeAddressBase.CellPosition>
  Enclosing class:
    CellRangeAddressBase

      public static enum CellRangeAddressBase.CellPosition
      extends java.lang.Enum<CellRangeAddressBase.CellPosition>

  Indicates a cell or range is in the given relative position in a range. More than one of these may apply at once.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM` range ending rows are equal
    `INSIDE` a cell or range is completely inside another range, without touching any edges (a cell in this position can't be in any others)
    `LEFT` range starting columns are equal
    `RIGHT` range ending columns are equal
    `TOP` range starting rows are equal

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CellRangeAddressBase.CellPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CellRangeAddressBase.CellPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final CellRangeAddressBase.CellPosition TOP

      range starting rows are equal

    - #### BOTTOM

          public static final CellRangeAddressBase.CellPosition BOTTOM

      range ending rows are equal

    - #### LEFT

          public static final CellRangeAddressBase.CellPosition LEFT

      range starting columns are equal

    - #### RIGHT

          public static final CellRangeAddressBase.CellPosition RIGHT

      range ending columns are equal

    - #### INSIDE

          public static final CellRangeAddressBase.CellPosition INSIDE

      a cell or range is completely inside another range, without touching any edges (a cell in this position can't be in any others)

  - ### Method Detail

    - #### values

          public static CellRangeAddressBase.CellPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CellRangeAddressBase.CellPosition c : CellRangeAddressBase.CellPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CellRangeAddressBase.CellPosition valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.